# RedstoneTorch (Scissors-API 1.17.1-R0.1-SNAPSHOT API)
declaration: package: org.bukkit.material, class: RedstoneTorch

Package org.bukkit.material

# Class RedstoneTorch

java.lang.Object
org.bukkit.material.MaterialData
org.bukkit.material.SimpleAttachableMaterialData
org.bukkit.material.Torch
org.bukkit.material.RedstoneTorch

All Implemented Interfaces:
  `Cloneable`, `Attachable`, `Directional`, `Redstone`

@Deprecated public class RedstoneTorch extends Torch implements Redstone
Deprecated.
all usage of MaterialData is deprecated and subject to removal. Use `BlockData`.
Represents a redstone torch

## Constructor Summary

Constructors
Constructor
Description
`RedstoneTorch()`
Deprecated.
`RedstoneTorch(Material type)`
Deprecated.
`RedstoneTorch(Material type, byte data)`
Deprecated.
Magic value

## Method Summary

Modifier and Type
Method
Description
`RedstoneTorch`
`clone()`
Deprecated.
`boolean`
`isPowered()`
Deprecated.
Gets the current state of this Material, indicating if it's powered or unpowered
`String`
`toString()`
Deprecated.

### Methods inherited from class org.bukkit.material.Torch

`getAttachedFace, setFacingDirection`

### Methods inherited from class org.bukkit.material.SimpleAttachableMaterialData

`getFacing`

### Methods inherited from class org.bukkit.material.MaterialData

`equals, getData, getItemType, hashCode, setData, toItemStack, toItemStack`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### RedstoneTorch

public RedstoneTorch()
Deprecated.

### RedstoneTorch

public RedstoneTorch(Material type)
Deprecated.

### RedstoneTorch

@Deprecated public RedstoneTorch(Material type, byte data)
Deprecated.
Magic value

Parameters:
  `type` - the type
  `data` - the raw data value

## Method Details

### isPowered

public boolean isPowered()
Deprecated.
Gets the current state of this Material, indicating if it's powered or unpowered

Specified by:
  `isPowered` in interface `Redstone`
Returns:
  true if powered, otherwise false

### toString

public String toString()
Deprecated.

Overrides:
  `toString` in class `SimpleAttachableMaterialData`

### clone

public RedstoneTorch clone()
Deprecated.

Overrides:
  `clone` in class `Torch`